Bug 203374 - [NEW PORTS] devel/rubygem-oxidised{-web,-script}: Slightly different approach to RANCID
Summary: [NEW PORTS] devel/rubygem-oxidised{-web,-script}: Slightly different approach...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ruby mailing list
URL:
Keywords: needs-qa, patch
Depends on: 203367 203373 204338
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 12:55 UTC by Nick Hilliard
Modified: 2017-01-04 12:33 UTC (History)
2 users (show)

See Also:


Attachments
rubygem-oxidized packages (7.29 KB, text/plain)
2015-09-26 12:55 UTC, Nick Hilliard
no flags Details
rubygem-oxidized uid (620 bytes, patch)
2015-09-26 12:55 UTC, Nick Hilliard
no flags Details | Diff
rubygem-oxidized gid (226 bytes, patch)
2015-09-26 12:56 UTC, Nick Hilliard
no flags Details | Diff
updated rubygem-oxidized packages for oxidized 0.9.0 and slop3 (4.01 KB, text/plain)
2015-11-08 14:22 UTC, Nick Hilliard
no flags Details
rubygem-oxidized-web 0.5.2 package (2.01 KB, text/plain)
2015-11-08 14:25 UTC, Nick Hilliard
no flags Details
rubygem-oxidized-script 0.1.1 package (1.72 KB, text/plain)
2015-11-08 14:27 UTC, Nick Hilliard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Hilliard 2015-09-26 12:55:07 UTC
Created attachment 161428 [details]
rubygem-oxidized packages

Attached is a new port, rubygem-oxidized, a slightly different approach to RANCID.

This is split into three separate ports:

rubygem-oxidized: base package
rubygem-oxidized-web: www front end and URL handler
rubygem-oxidized-script: command-line for oxidized

oxidized requires its own uid/gid, which are included as separate diffs.

oxidized depends on #203367 and #203373
Comment 1 Nick Hilliard 2015-09-26 12:55:48 UTC
Created attachment 161429 [details]
rubygem-oxidized uid

UID for oxidized
Comment 2 Nick Hilliard 2015-09-26 12:56:14 UTC
Created attachment 161430 [details]
rubygem-oxidized gid

rubygem-oxidized gid
Comment 3 Nick Hilliard 2015-11-08 14:22:53 UTC
Created attachment 162900 [details]
updated rubygem-oxidized packages for oxidized 0.9.0 and slop3

update for rubygem-oxidized package to 0.9.0 and also to deal with devel/rubygems-slop3
Comment 4 Nick Hilliard 2015-11-08 14:25:11 UTC
Created attachment 162901 [details]
rubygem-oxidized-web 0.5.2 package
Comment 5 Nick Hilliard 2015-11-08 14:27:07 UTC
Created attachment 162902 [details]
rubygem-oxidized-script 0.1.1 package

shar for rubygem-oxidized-script 0.1.1
Comment 6 Martin Wilke freebsd_committer 2015-11-26 16:27:46 UTC
Take.
Comment 7 Martin Wilke freebsd_committer 2016-03-14 02:27:39 UTC
Back to pool.
Comment 8 commit-hook freebsd_committer 2017-01-04 04:37:03 UTC
A commit references this bug:

Author: swills
Date: Wed Jan  4 04:36:53 UTC 2017
New revision: 430534
URL: https://svnweb.freebsd.org/changeset/ports/430534

Log:
  devel/rubygem-oxidized: create port

  Oxidized is a network device configuration backup tool. It's a RANCID
  replacement.

  WWW: https://github.com/ytti/oxidized

  PR:		203374
  Submitted by:	Nick Hilliard <nick@foobar.org> (with modifications)

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/rubygem-oxidized/
  head/net-mgmt/rubygem-oxidized/Makefile
  head/net-mgmt/rubygem-oxidized/distinfo
  head/net-mgmt/rubygem-oxidized/files/
  head/net-mgmt/rubygem-oxidized/files/oxidized.in
  head/net-mgmt/rubygem-oxidized/files/patch-gemspec
  head/net-mgmt/rubygem-oxidized/pkg-descr
Comment 9 commit-hook freebsd_committer 2017-01-04 04:39:07 UTC
A commit references this bug:

Author: swills
Date: Wed Jan  4 04:38:19 UTC 2017
New revision: 430535
URL: https://svnweb.freebsd.org/changeset/ports/430535

Log:
  net-mgmt/rubygem-oxidized-web: create port

  Web userinterface and RESTful API for Oxidized, a network device
  configuration backup tool.

  WWW: https://github.com/ytti/oxidized-web

  PR:		203374
  Submitted by:	Nick Hilliard <nick@foobar.org> (with modifications)

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/rubygem-oxidized-web/
  head/net-mgmt/rubygem-oxidized-web/Makefile
  head/net-mgmt/rubygem-oxidized-web/distinfo
  head/net-mgmt/rubygem-oxidized-web/pkg-descr
Comment 10 commit-hook freebsd_committer 2017-01-04 04:41:10 UTC
A commit references this bug:

Author: swills
Date: Wed Jan  4 04:40:42 UTC 2017
New revision: 430536
URL: https://svnweb.freebsd.org/changeset/ports/430536

Log:
  net-mgmt/rubygem-oxidized-script: create port

  CLI and Library to interface with network devices in Oxidized, a RANCID
  replacement.

  WWW: https://github.com/ytti/oxidized-script

  PR:		203374
  Submitted by:	Nick Hilliard <nick@foobar.org> (with modifications)

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/rubygem-oxidized-script/
  head/net-mgmt/rubygem-oxidized-script/Makefile
  head/net-mgmt/rubygem-oxidized-script/distinfo
  head/net-mgmt/rubygem-oxidized-script/pkg-descr
Comment 11 Steve Wills freebsd_committer 2017-01-04 04:46:35 UTC
Finally cleaned this up a little and committed it. Sorry it took so long, hopefully updating it makes up for that a little. Also I found that it will only write part of it's default config on the first start, so you have to start it twice, then create the router.db file and then it will startup properly. Which is fine if you know to do that, but there's no way to tell that and no output or log. Sounds like an issue for upstream to address. Anyway, it does work if you config it right. Thanks for the patches!
Comment 12 Nick Hilliard 2017-01-04 11:32:41 UTC
thanks for committing this.  Could you take a look at the patches for the UIDs and GIDs files?
Comment 13 commit-hook freebsd_committer 2017-01-04 12:29:22 UTC
A commit references this bug:

Author: swills
Date: Wed Jan  4 12:29:04 UTC 2017
New revision: 430552
URL: https://svnweb.freebsd.org/changeset/ports/430552

Log:
  Add UID/GID for net-mgmt/rubygem-oxidized

  PR:		203374
  Submitted by:	Nick Hilliard <nick@foobar.org>

Changes:
  head/GIDs
  head/UIDs
Comment 14 Steve Wills freebsd_committer 2017-01-04 12:33:50 UTC
(In reply to Nick Hilliard from comment #12)
Ah, yes, meant to do that. Done now, thanks.